---
lang: en
title: 'API docs: openapi-v3.oas'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oas.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [oas](./openapi-v3.oas.md)

## oas variable

**Signature:**

```typescript
oas: {
    api: typeof api;
    operation: typeof operation;
    get: typeof get;
    post: typeof post;
    del: typeof del;
    patch: typeof patch;
    put: typeof put;
    param: typeof param;
    requestBody: typeof requestBody;
    deprecated: typeof deprecated;
    response: typeof response;
    tags: typeof tags;
    visibility: typeof visibility;
}
```

